﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedInsuInterface
{
    interface IInsuBusiness
    {
        //初始化
        String Init(string InParam);
        //读卡
        String GetPatientInfo(string InParam);
        //登记
        String Register(string InParam);
        //费用上传
        String FeeUpload(string InParam);
        //结算
        String Settlement(string InParam);
        //其他扩展交易
        String AgentFun(string InParam);
        //平台直连交易
        String PlatformDirectConnect(string InParam);
        /// <summary>
        /// 单独设一个自助机交易。
        /// 自助机流程与普通门诊住院有很多不同，单开可以最大限度的不影响原业务。
        /// 比如自助机不允许有太多的窗口供患者选择，针对各地有多个接口的，需要通过读卡或者其它手段判断该患者是哪个接口，然后重定向
        /// </summary>
        /// <param name="InParam"></param>
        /// <returns></returns>
        String SelfServiceMachine(string InParam);

    }
}
